org.mariadb.jdbc.internal.mysql.packet

## Class MySQLRowPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.MySQLRowPacket

    public class MySQLRowPacket
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MySQLRowPacket(RawPacket rawPacket, MySQLColumnInformation[] columnInformation2)`

### Method Summary

Methods
`void` `appendPacket(RawPacket rawPacket)`
`ValueObject[]` `getRow(PacketFetcher packetFetcher)`
`boolean` `isPacketComplete()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLRowPacket

    public MySQLRowPacket(RawPacket rawPacket,
                  MySQLColumnInformation[] columnInformation2)
                   throws IOException

Throws:
  `IOException`

### Method Detail

#### isPacketComplete

    public boolean isPacketComplete()
                             throws IOException

Throws:
  `IOException`

#### appendPacket

    public void appendPacket(RawPacket rawPacket)

#### getRow

    public ValueObject[] getRow(PacketFetcher packetFetcher)
                         throws IOException

Throws:
  `IOException`